Skip to main content
GET
/
api
/
reports
/
email
/
{id}
/
engagement
Get individual email campaign engagement reports
curl --request GET \
  --url https://api-{region}-{cluster}.benchmarkemail.com/api/reports/email/{id}/engagement \
  --header 'X-API-Key: <api-key>'
{
  "end": "2024-09-24T17:00:00.000Z",
  "histogram": [
    {
      "date": "2024-09-23T17:00:00.000Z",
      "detail": {
        "uniqueClicks": 1,
        "uniqueOpens": 3
      },
      "total": 4
    }
  ],
  "peak": {
    "endDate": "2024-09-23T17:00:00.000Z",
    "startDate": "2024-09-23T17:00:00.000Z",
    "total": 4
  },
  "start": "2024-09-23T17:00:00.000Z"
}

Authorizations

X-API-Key
string
header
required

API key authentication

Path Parameters

id
string
required

email campaign identifier

Query Parameters

period
enum<string>
default:24hours

The engage period criteria to generate the histogram.

Available options:
24hours,
week,
month
timezone
string
default:UTC

The user timezone (IANA) code.

Example:

"America/La_Paz"

Response

200 - application/json

Successfully retrieved report

Campaign histogram details

end
string<date-time>
Example:

"2024-09-24T17:00:00.000Z"

histogram
object[]
peak
object
start
string<date-time>
Example:

"2024-09-23T17:00:00.000Z"